Payout wallets
Get Current Wallet
Returns the newest wallet with isCurrent true visible to the caller.
GEThttps://api.toku.com/hris/get-current-wallet
Not available to API keys.
curl --request GET \
--url 'https://api.toku.com/hris/get-current-wallet' \
--header 'Authorization: Bearer <token>'200 response
{
"wallet": {
"network": "string",
"name": "string",
"createdAt": "string",
"updatedAt": "string",
"legacyMigratedAt": "string",
"legacyModelID": 0,
"status": "string",
"address": "string",
"roleInOrgID": "string",
"destinationTag": 0,
"tokenTypeID": "string",
"isCurrent": true,
"investorEntityID": "string",
"walletID": "string",
"memo": "string",
"walletType": "string",
"orgNetworkID": "string",
"isDefault": true,
"walletTypeCustomID": "string",
"nickName": "string",
"connectedViaMesh": true,
"userDismissed": true
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
walletobject | nullShow child attributes
networkstring | nullnamestring | nullcreatedAtstring | nullupdatedAtstring | nulllegacyMigratedAtstring | nulllegacyModelIDnumber | nullstatusstring | nulladdressstring | nullroleInOrgIDstring | nulldestinationTagnumber | nulltokenTypeIDstring | nullisCurrentboolean | nullinvestorEntityIDstring | nullwalletIDstring | nullmemostring | nullwalletTypestring | nullorgNetworkIDstring | nullisDefaultboolean | nullwalletTypeCustomIDstring | nullnickNamestring | nullconnectedViaMeshboolean | nulluserDismissedboolean | null400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits